
Redmine - Defect #14598

Wrong test with logger.info in model mail_handler

2013-08-01 15:33 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version:  

Description

Related issues:

Related to Redmine - Patch #9102: Dry up MailHandler logging Closed 2011-08-22

Associated revisions

Revision 12073 - 2013-08-03 12:46 - Toshi MARUYAMA

remove ineffective "logger.info" and "logger.error" check from MailHandler model (#14598)

History

#1 - 2013-08-01 15:34 - Jérôme BATAILLE

patch made against Redmine V1.2.1

if logger.info --> if logger.info?

#2 - 2013-08-03 12:38 - Toshi MARUYAMA

"logger.info" is always true.

$ RAILS_ENV=test ruby script/rails console

Loading test environment (Rails 3.2.13)

1.9.3p429 :001 > logger = Logger.new(STDOUT)

 => #<Logger:0x000000055b5b80 ... 

1.9.3p429 :002 > logger.level = Logger::ERROR

 => 3 

1.9.3p429 :003 > logger.info

 => true 

1.9.3p429 :004 > logger.info?

 => false 

1.9.3p429 :005 > logger.info "test" 

 => true 

1.9.3p429 :006 > logger.level = Logger::INFO

 => 1 

1.9.3p429 :007 > logger.info?

 => true 

1.9.3p429 :008 > logger.info

nil

 => true 

1.9.3p429 :009 > logger.info "test" 

test

 => true 

#3 - 2013-08-03 14:10 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in trunk r12073.

#4 - 2013-11-04 22:52 - Jérôme BATAILLE

Any idea of the version in which the revision will be included ?

2025-07-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/12073


#5 - 2013-11-12 10:11 - Jérôme BATAILLE

- Status changed from Closed to Reopened

#6 - 2013-11-12 10:13 - Jérôme BATAILLE

I'm sorry to reopen this issue, but because it was closed without a target version, I think it was fallen in the limbo :-)

#7 - 2013-11-12 11:12 - Toshi MARUYAMA

- Status changed from Reopened to Closed

- Target version set to 2.4.0

- Resolution set to Fixed

It is in 2.4.0.

#8 - 2013-11-12 11:12 - Jérôme BATAILLE

Thanks a lot !

#9 - 2016-01-16 03:47 - Go MAEDA

- Related to Patch #9102: Dry up MailHandler logging added

Files
